% This file was created by tikzplotlib v0.9.3.
\begin{tikzpicture}

\definecolor{color0}{rgb}{0.349019607843137,0.490196078431372,0.749019607843137}
\definecolor{color1}{rgb}{0.852941176470588,0.544117647058824,0.370588235294118}
\definecolor{color2}{rgb}{0.46078431372549,0.749019607843137,0.443137254901961}

\begin{axis}[
axis line style={white!15!black},
height=234.0pt,
legend cell align={left},
legend style={fill opacity=0.8, draw opacity=1, text opacity=1, at={(0.97,0.03)}, anchor=south east, draw=white!80!black},
tick align=outside,
tick pos=left,
width=312.0pt,
x grid style={white!80!black},
xlabel={Relative Latency of the Layer},
xmajorgrids,
xmin=0, xmax=0.0649551729799679,
xtick style={color=white!15!black},
y dir=reverse,
y grid style={white!80!black},
ylabel={Selected Layers},
ymin=-0.5, ymax=3.5,
ytick style={color=white!15!black},
ytick={0,1,2,3},
yticklabels={1\_CONV\_2D,2\_CONV\_2D,15\_CONV\_2D,28\_CONV\_2D}
]
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:nan,-0.133333333333333);
\addlegendimage{ybar,ybar legend,draw=white,fill=color0,line width=0.32pt};
\addlegendentry{L4}

\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:nan,0.866666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,1.6) rectangle (axis cs:nan,1.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,2.6) rectangle (axis cs:nan,2.86666666666667);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,-0.133333333333333) rectangle (axis cs:0.0618401253954674,0.133333333333333);
\addlegendimage{ybar,ybar legend,draw=white,fill=color1,line width=0.32pt};
\addlegendentry{F4}

\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,0.866666666666667) rectangle (axis cs:0.0618620695047314,1.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,1.86666666666667) rectangle (axis cs:0.056573376623155,2.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,2.86666666666667) rectangle (axis cs:0.0517541251308702,3.13333333333333);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,0.133333333333333) rectangle (axis cs:0.0584316055345972,0.4);
\addlegendimage{ybar,ybar legend,draw=white,fill=color2,line width=0.32pt};
\addlegendentry{F7}

\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,1.13333333333333) rectangle (axis cs:0.0586125411427125,1.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,2.13333333333333) rectangle (axis cs:0.0588135531676186,2.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,3.13333333333333) rectangle (axis cs:0.0524890481287478,3.4);
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan -0.266666666666667
nan -0.266666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 0.733333333333333
nan 0.733333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 1.73333333333333
nan 1.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 2.73333333333333
nan 2.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 0
nan 0
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 1
nan 1
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 2
nan 2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 3
nan 3
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 0.266666666666667
nan 0.266666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 1.26666666666667
nan 1.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 2.26666666666667
nan 2.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 3.26666666666667
nan 3.26666666666667
};
\end{axis}

\end{tikzpicture}
